/* R. Harmsen, November 2023
   First completely working version 15 December 2023. */

#ifndef RHMUSICADHOC_H
#define RHMUSICADHOC_H

#include <stdio.h>
#include "rhmusicfuncs.h"
#include "rhmidifuncs.h"

extern struct IntvalRatio PlausibIntvals_00[];
extern struct IntvalRatio PlausibIntvals_01[];
extern struct IntvalRatio PlausibIntvals_02[];
extern struct IntvalRatio PlausibIntvals_03[];
extern struct IntvalRatio PlausibIntvals_04[];
extern struct IntvalRatio PlausibIntvals_05[];
extern struct IntvalRatio PlausibIntvals_06[];
extern struct IntvalRatio PlausibIntvals_07[];
extern struct IntvalRatio PlausibIntvals_08[];
extern struct IntvalRatio PlausibIntvals_09[];
extern struct IntvalRatio PlausibIntvals_10[];
extern struct IntvalRatio PlausibIntvals_11[];
extern struct IntvalRatio PlausibIntvals_12[];
extern struct IntvalRatio PlausibIntvals_13[];
extern struct IntvalRatio PlausibIntvals_14[];

extern struct IntvalRatio PlausibIntvals_00_5[];
extern struct IntvalRatio PlausibIntvals_01_5[];
extern struct IntvalRatio PlausibIntvals_02_5[];
extern struct IntvalRatio PlausibIntvals_03_5[];
extern struct IntvalRatio PlausibIntvals_04_5[];
extern struct IntvalRatio PlausibIntvals_05_5[];
extern struct IntvalRatio PlausibIntvals_06_5[];
extern struct IntvalRatio PlausibIntvals_07_5[];
extern struct IntvalRatio PlausibIntvals_08_5[];
extern struct IntvalRatio PlausibIntvals_09_5[];
extern struct IntvalRatio PlausibIntvals_10_5[];
extern struct IntvalRatio PlausibIntvals_11_5[];
extern struct IntvalRatio PlausibIntvals_12_5[];
extern struct IntvalRatio PlausibIntvals_13_5[];
extern struct IntvalRatio PlausibIntvals_14_5[];

/* Number of elements in array ChordIntv in rhmusicadhoc.c */
#define NumIntvals 30

struct DegreeData
{
   struct IntvalRatio *Degree;
   struct IntvalRatio Considered;
   long long int RatioSequence;
};

/***********************************************************************
 **********************************************************************/
void AdhocRunIt (int *Chord, int NotesInChord,
   struct DegreeData *wrkC, struct DegreeData *resC, int verbose);


#endif
